        !COMPILER-GENERATED INTERFACE MODULE: Mon Sep 12 20:05:16 2016
        MODULE INIDOUBLELAYER_mod
          INTERFACE 
            SUBROUTINE INIDOUBLELAYER(NNMAX,II,JF,IPER,T0,LAMBDAA,MIUA, &
     &LAMBDAB,MIUB,LAMBDAC,MIUC,DA,DB,DC,LT,LB,NRA,NRB,NRC)
              INTEGER(KIND=4) :: NRC
              INTEGER(KIND=4) :: NRB
              INTEGER(KIND=4) :: NRA
              INTEGER(KIND=4) :: NNMAX
              INTEGER(KIND=4) :: II
              INTEGER(KIND=4) :: JF
              INTEGER(KIND=4) :: IPER
              REAL(KIND=8) :: T0
              REAL(KIND=8) :: LAMBDAA(NRA)
              REAL(KIND=8) :: MIUA(NRA)
              REAL(KIND=8) :: LAMBDAB(NRB)
              REAL(KIND=8) :: MIUB(NRB)
              REAL(KIND=8) :: LAMBDAC(NRC)
              REAL(KIND=8) :: MIUC(NRC)
              REAL(KIND=8) :: DA(NRA)
              REAL(KIND=8) :: DB(NRB)
              REAL(KIND=8) :: DC(NRC)
              REAL(KIND=8) :: LT
              REAL(KIND=8) :: LB
            END SUBROUTINE INIDOUBLELAYER
          END INTERFACE 
        END MODULE INIDOUBLELAYER_mod
